Add Order
curl --request POST \
--url https://gateway.varchev.com/crypto/addOrder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"pair": "XXBTZUSD",
"type": "buy",
"ordertype": "limit",
"price": "45000.1",
"volume": "2.1234",
"leverage": "2:1"
}
'import requests
url = "https://gateway.varchev.com/crypto/addOrder"
payload = {
"pair": "XXBTZUSD",
"type": "buy",
"ordertype": "limit",
"price": "45000.1",
"volume": "2.1234",
"leverage": "2:1"
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
pair: 'XXBTZUSD',
type: 'buy',
ordertype: 'limit',
price: '45000.1',
volume: '2.1234',
leverage: '2:1'
})
};
fetch('https://gateway.varchev.com/crypto/addOrder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": [],
"result": {
"descr": {
"order": "buy 2.12340000 XBTUSD @ limit 45000.1 with 2:1 leverage",
"close": "close position @ stop loss 38000.0 -> limit 36000.0"
},
"txid": [
"OUF4EM-FRGI2-MQMWZD"
]
}
}Private
Add Order
Place a new order.
Note: See the AssetPairs endpoint for details on the available trading pairs, their price and quantity precisions, order minimums, available leverage, etc.
POST
/
addOrder
Add Order
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
The body is of type object.
Response
200 - application/json
OK
The response is of type object.
⌘I

